#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libsass
Version		:	3.6.5
Release		:	14.8.0.0%{?dist}
Summary		:	C/C++ port of the Sass CSS precompiler

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	http://sass-lang.com/libsass
			# https://github.com/sass/libsass/
URL		:	https://zlib.net/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	gcc-c++
BuildRequires	:	libtool
BuildRequires	:	make
BuildRequires	:	pkg-config
#-----------------------------------------------------------------------------
%description
Libsass is a C/C++ port of the Sass CSS precompiler.
The original version was written in Ruby, but this
version is meant for efficiency and portability.
 
This library strives to be light, simple, and easy
to build and integrate with a variety of platforms
and languages.
 
Libsass is just a library, but if you want to
RUN libsass, install the sassc package.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%doc Readme.md SECURITY.md
%{_libdir}/*.so.1*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%license LICENSE
%{_includedir}/sass.h
%{_includedir}/sass2scss.h
%{_includedir}/sass/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#=============================================================================
%changelog
